<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>org.apache.poi.ss.formula (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.apache.poi.ss.formula (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li class="navBarCell1Rev">Package</li>
        <li>Class</li>
        <li><a href="package-use.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/ss/format/package-summary.html">Prev&nbsp;Package</a></li>
        <li><a href="../../../../../org/apache/poi/ss/formula/atp/package-summary.html">Next&nbsp;Package</a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/ss/formula/package-summary.html" target="_top">Frames</a>
        </li>
        <li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h1 title="Package" class="title">Package&nbsp;org.apache.poi.ss.formula</h1>
    <div class="docSummary">
        <div class="block">This package contains common internal POI code for manipulating formulas.</div>
    </div>
    <p>See:&nbsp;<a href="#package.description">Description</a></p>
</div>
<div class="contentContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="typeSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Interface Summary table, listing interfaces, and an explanation">
                <caption><span>Interface Summary</span><span class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Interface</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/formula/EvaluationCell.html"
                                            title="interface in org.apache.poi.ss.formula">EvaluationCell</a></td>
                    <td class="colLast">
                        <div class="block">Abstracts a cell for the purpose of formula evaluation.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/ss/formula/EvaluationConditionalFormatRule.ValueFunction.html"
                            title="interface in org.apache.poi.ss.formula">EvaluationConditionalFormatRule.ValueFunction</a>
                    </td>
                    <td class="colLast">
                        <div class="block">instances evaluate the values for a region and return the positive matches
                            for the function type.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/formula/EvaluationName.html"
                                            title="interface in org.apache.poi.ss.formula">EvaluationName</a></td>
                    <td class="colLast">
                        <div class="block">Abstracts a name record for formula evaluation.<br>

                            For POI internal use only
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/formula/EvaluationSheet.html"
                                            title="interface in org.apache.poi.ss.formula">EvaluationSheet</a></td>
                    <td class="colLast">
                        <div class="block">Abstracts a sheet for the purpose of formula evaluation.<br>

                            For POI internal use only
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html"
                                            title="interface in org.apache.poi.ss.formula">EvaluationWorkbook</a></td>
                    <td class="colLast">
                        <div class="block">Abstracts a workbook for the purpose of formula evaluation.<br>

                            For POI internal use only
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/ss/formula/ExternSheetReferenceToken.html"
                            title="interface in org.apache.poi.ss.formula">ExternSheetReferenceToken</a></td>
                    <td class="colLast">
                        <div class="block">Should be implemented by any <a
                                href="../../../../../org/apache/poi/ss/formula/ptg/Ptg.html"
                                title="class in org.apache.poi.ss.formula.ptg"><code>Ptg</code></a> subclass that needs
                            has an extern sheet index <br>

                            For POI internal use only
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/formula/FormulaParsingWorkbook.html"
                                            title="interface in org.apache.poi.ss.formula">FormulaParsingWorkbook</a>
                    </td>
                    <td class="colLast">
                        <div class="block">Abstracts a workbook for the purpose of formula parsing.<br>

                            For POI internal use only
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/ss/formula/FormulaRenderingWorkbook.html"
                            title="interface in org.apache.poi.ss.formula">FormulaRenderingWorkbook</a></td>
                    <td class="colLast">
                        <div class="block">Abstracts a workbook for the purpose of converting formula to text.<br>

                            For POI internal use only
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/formula/IStabilityClassifier.html"
                                            title="interface in org.apache.poi.ss.formula">IStabilityClassifier</a></td>
                    <td class="colLast">
                        <div class="block">Used to help optimise cell evaluation result caching by allowing applications
                            to specify which
                            parts of a workbook are <em>final</em>.<br>
                            The term <b>final</b> is introduced here to denote immutability or 'having constant
                            definition'.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/formula/SheetRange.html"
                                            title="interface in org.apache.poi.ss.formula">SheetRange</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/formula/ThreeDEval.html"
                                            title="interface in org.apache.poi.ss.formula">ThreeDEval</a></td>
                    <td class="colLast">
                        <div class="block">Optional Extension to the likes of <a
                                href="../../../../../org/apache/poi/ss/formula/eval/AreaEval.html"
                                title="interface in org.apache.poi.ss.formula.eval"><code>AreaEval</code></a> and
                            <a href="../../../../../org/apache/poi/ss/formula/eval/AreaEvalBase.html"
                               title="class in org.apache.poi.ss.formula.eval"><code>AreaEvalBase</code></a>,
                            which allows for looking up 3D (sheet+row+column) evaluations
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/formula/TwoDEval.html"
                                            title="interface in org.apache.poi.ss.formula">TwoDEval</a></td>
                    <td class="colLast">
                        <div class="block">Common interface of <a
                                href="../../../../../org/apache/poi/ss/formula/eval/AreaEval.html"
                                title="interface in org.apache.poi.ss.formula.eval"><code>AreaEval</code></a> and <a
                                href="../../../../../org/apache/poi/ss/formula/eval/AreaEvalBase.html"
                                title="class in org.apache.poi.ss.formula.eval"><code>AreaEvalBase</code></a>,
                            for 2D (row+column) evaluations
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/ss/formula/WorkbookDependentFormula.html"
                            title="interface in org.apache.poi.ss.formula">WorkbookDependentFormula</a></td>
                    <td class="colLast">
                        <div class="block">Should be implemented by any <a
                                href="../../../../../org/apache/poi/ss/formula/ptg/Ptg.html"
                                title="class in org.apache.poi.ss.formula.ptg"><code>Ptg</code></a> subclass that needs
                            a workbook to render its formula.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/ss/formula/WorkbookEvaluatorProvider.html"
                            title="interface in org.apache.poi.ss.formula">WorkbookEvaluatorProvider</a></td>
                    <td class="colLast">
                        <div class="block">Provides access to a <a
                                href="../../../../../org/apache/poi/ss/formula/WorkbookEvaluator.html"
                                title="class in org.apache.poi.ss.formula"><code>WorkbookEvaluator</code></a>, eg for
                            use with
                            <a href="../../../../../org/apache/poi/ss/formula/CollaboratingWorkbooksEnvironment.html"
                               title="class in org.apache.poi.ss.formula"><code>CollaboratingWorkbooksEnvironment</code></a>
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <table class="typeSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Class Summary table, listing classes, and an explanation">
                <caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Class</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/formula/BaseFormulaEvaluator.html"
                                            title="class in org.apache.poi.ss.formula">BaseFormulaEvaluator</a></td>
                    <td class="colLast">
                        <div class="block">Common functionality across file formats for evaluating formula cells.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/formula/CacheAreaEval.html"
                                            title="class in org.apache.poi.ss.formula">CacheAreaEval</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/ss/formula/CollaboratingWorkbooksEnvironment.html"
                            title="class in org.apache.poi.ss.formula">CollaboratingWorkbooksEnvironment</a></td>
                    <td class="colLast">
                        <div class="block">Manages a collection of <a
                                href="../../../../../org/apache/poi/ss/formula/WorkbookEvaluator.html"
                                title="class in org.apache.poi.ss.formula"><code>WorkbookEvaluator</code></a>s, in order
                            to support
                            evaluation of formulas across spreadsheets.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/ss/formula/ConditionalFormattingEvaluator.html"
                            title="class in org.apache.poi.ss.formula">ConditionalFormattingEvaluator</a></td>
                    <td class="colLast">
                        <div class="block">Evaluates Conditional Formatting constraints.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/formula/DataValidationEvaluator.html"
                                            title="class in org.apache.poi.ss.formula">DataValidationEvaluator</a></td>
                    <td class="colLast">
                        <div class="block">Evaluates Data Validation constraints.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/ss/formula/DataValidationEvaluator.DataValidationContext.html"
                            title="class in org.apache.poi.ss.formula">DataValidationEvaluator.DataValidationContext</a>
                    </td>
                    <td class="colLast">
                        <div class="block">This class organizes and encapsulates all the pieces of information related
                            to a single
                            data validation configuration for a single cell.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/ss/formula/EvaluationConditionalFormatRule.html"
                            title="class in org.apache.poi.ss.formula">EvaluationConditionalFormatRule</a></td>
                    <td class="colLast">
                        <div class="block">Abstracted and cached version of a Conditional Format rule for use with a
                            <a href="../../../../../org/apache/poi/ss/formula/ConditionalFormattingEvaluator.html"
                               title="class in org.apache.poi.ss.formula"><code>ConditionalFormattingEvaluator</code></a>.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/ss/formula/EvaluationConditionalFormatRule.ValueAndFormat.html"
                            title="class in org.apache.poi.ss.formula">EvaluationConditionalFormatRule.ValueAndFormat</a>
                    </td>
                    <td class="colLast">
                        <div class="block">Note: this class has a natural ordering that is inconsistent with equals.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.ExternalName.html"
                            title="class in org.apache.poi.ss.formula">EvaluationWorkbook.ExternalName</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.ExternalSheet.html"
                            title="class in org.apache.poi.ss.formula">EvaluationWorkbook.ExternalSheet</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.ExternalSheetRange.html"
                            title="class in org.apache.poi.ss.formula">EvaluationWorkbook.ExternalSheetRange</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/formula/Formula.html"
                                            title="class in org.apache.poi.ss.formula">Formula</a></td>
                    <td class="colLast">
                        <div class="block">Encapsulates an encoded formula token array.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/formula/FormulaParser.html"
                                            title="class in org.apache.poi.ss.formula">FormulaParser</a></td>
                    <td class="colLast">
                        <div class="block">This class parses a formula string into a List of tokens in RPN order.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/formula/FormulaRenderer.html"
                                            title="class in org.apache.poi.ss.formula">FormulaRenderer</a></td>
                    <td class="colLast">
                        <div class="block">Common logic for rendering formulas.<br>

                            For POI internal use only
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/formula/FormulaShifter.html"
                                            title="class in org.apache.poi.ss.formula">FormulaShifter</a></td>
                    <td class="colLast">
                        <div class="block">Updates Formulas as rows or sheets are shifted</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/formula/LazyRefEval.html"
                                            title="class in org.apache.poi.ss.formula">LazyRefEval</a></td>
                    <td class="colLast">
                        <div class="block">Provides Lazy Evaluation to a 3D Reference</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/formula/NameIdentifier.html"
                                            title="class in org.apache.poi.ss.formula">NameIdentifier</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/ss/formula/OperationEvaluationContext.html"
                            title="class in org.apache.poi.ss.formula">OperationEvaluationContext</a></td>
                    <td class="colLast">
                        <div class="block">Contains all the contextual information required to evaluate an operation
                            within a formula

                            For POI internal use only
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/formula/SharedFormula.html"
                                            title="class in org.apache.poi.ss.formula">SharedFormula</a></td>
                    <td class="colLast">
                        <div class="block">Encapsulates logic to convert shared formulaa into non shared equivalent
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/formula/SheetIdentifier.html"
                                            title="class in org.apache.poi.ss.formula">SheetIdentifier</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/formula/SheetNameFormatter.html"
                                            title="class in org.apache.poi.ss.formula">SheetNameFormatter</a></td>
                    <td class="colLast">
                        <div class="block">Formats sheet names for use in formula expressions.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/ss/formula/SheetRangeAndWorkbookIndexFormatter.html"
                            title="class in org.apache.poi.ss.formula">SheetRangeAndWorkbookIndexFormatter</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/formula/SheetRangeIdentifier.html"
                                            title="class in org.apache.poi.ss.formula">SheetRangeIdentifier</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/formula/WorkbookEvaluator.html"
                                            title="class in org.apache.poi.ss.formula">WorkbookEvaluator</a></td>
                    <td class="colLast">
                        <div class="block">Evaluates formula cells.<p/>

                            For performance reasons, this class keeps a cache of all previously calculated intermediate
                            cell values.
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <table class="typeSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Enum Summary table, listing enums, and an explanation">
                <caption><span>Enum Summary</span><span class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Enum</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/ss/formula/DataValidationEvaluator.OperatorEnum.html"
                            title="enum in org.apache.poi.ss.formula">DataValidationEvaluator.OperatorEnum</a></td>
                    <td class="colLast">
                        <div class="block">Not calling it OperatorType to avoid confusion for now with
                            DataValidationConstraint.OperatorType.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/ss/formula/DataValidationEvaluator.ValidationEnum.html"
                            title="enum in org.apache.poi.ss.formula">DataValidationEvaluator.ValidationEnum</a></td>
                    <td class="colLast">
                        <div class="block">Not calling it ValidationType to avoid confusion for now with
                            DataValidationConstraint.ValidationType.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/ss/formula/EvaluationConditionalFormatRule.OperatorEnum.html"
                            title="enum in org.apache.poi.ss.formula">EvaluationConditionalFormatRule.OperatorEnum</a>
                    </td>
                    <td class="colLast">
                        <div class="block">Not calling it OperatorType to avoid confusion for now with other classes.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/formula/FormulaType.html"
                                            title="enum in org.apache.poi.ss.formula">FormulaType</a></td>
                    <td class="colLast">
                        <div class="block">Enumeration of various formula types.</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <table class="typeSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Exception Summary table, listing exceptions, and an explanation">
                <caption><span>Exception Summary</span><span class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Exception</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/ss/formula/CollaboratingWorkbooksEnvironment.WorkbookNotFoundException.html"
                            title="class in org.apache.poi.ss.formula">CollaboratingWorkbooksEnvironment.WorkbookNotFoundException</a>
                    </td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/formula/FormulaParseException.html"
                                            title="class in org.apache.poi.ss.formula">FormulaParseException</a></td>
                    <td class="colLast">
                        <div class="block">This exception thrown when a supplied formula has incorrect syntax (or syntax
                            currently not
                            supported by POI).
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
    </ul>
    <a name="package.description">
        <!--   -->
    </a>
    <h2 title="Package org.apache.poi.ss.formula Description">Package org.apache.poi.ss.formula Description</h2>
    <div class="block">This package contains common internal POI code for manipulating formulas.
        Client applications should not refer to these classes directly.
    </div>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li class="navBarCell1Rev">Package</li>
        <li>Class</li>
        <li><a href="package-use.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/ss/format/package-summary.html">Prev&nbsp;Package</a></li>
        <li><a href="../../../../../org/apache/poi/ss/formula/atp/package-summary.html">Next&nbsp;Package</a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/ss/formula/package-summary.html" target="_top">Frames</a>
        </li>
        <li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
